Package com.avaya.clientservices.collaboration

## Interface DrawingView.DrawingListener

- Enclosing class:
    DrawingView<T extends android.view.View & ZoomableSharingView>

      public static interface DrawingView.DrawingListener

  Interface for listening on shape drawing events.
  Used internally by `WhiteboardRenderer` to notify `WhiteboardSurface` about that user draw something.
  To get object of this interface you need to call `WhiteboardRenderer.getDrawingListener()`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteShape​(AbstractShape shape)` |
    `void` | `finishShape​(AbstractShape shape)` |
    `java.util.List<AbstractShape>` | `getShapes()` |
    `Circle` | `sendCircle​(Point ltc, Point rbc, boolean filled, Color color, int width)` |
    `Shape` | `sendShape​(java.util.List<Point> points, boolean isFilled, boolean isFinished, Color color, int width)` |
    `Text` | `sendText​(Point position, java.lang.String content, Color drawingColor, int fontSize)` |
    `void` | `updateShape​(AbstractShape shape)` |
    `void` | `updateShape​(AbstractShape shape, java.util.List<Point> newPoints)` |

- - ### Method Detail

    - #### sendShape

          Shape sendShape​(java.util.List<Point> points,
                          boolean isFilled,
                          boolean isFinished,
                          Color color,
                          int width)

    - #### sendCircle

          Circle sendCircle​(Point ltc,
                            Point rbc,
                            boolean filled,
                            Color color,
                            int width)

    - #### sendText

          Text sendText​(Point position,
                        java.lang.String content,
                        Color drawingColor,
                        int fontSize)

    - #### updateShape

          void updateShape​(AbstractShape shape,
                           java.util.List<Point> newPoints)

    - #### updateShape

          void updateShape​(AbstractShape shape)

    - #### deleteShape

          void deleteShape​(AbstractShape shape)

    - #### finishShape

          void finishShape​(AbstractShape shape)

    - #### getShapes

          java.util.List<AbstractShape> getShapes()